Subject: Re: bug#47784: 27.2: ses-header-row [PATCH INCLUDED]

From: Stefan Kangas <[email-masked]>
Date: Tue, 20 Apr 2021 19:02:26 -0500

Eli Zaretskii <[email-masked]> writes:

>> > Thanks, but I don't think I understand the rationale for the second
>> > patch.  What is the problem with signaling an error in those two
>> > places?
>>
>> They avoid spawning a backtrace buffer when toggle-debug-on-error is set
>> and the error is a user input error caught by a validation test within
>> an `interactive' function call.
>
> I understand that, but the same is true for every call to 'error'
> whenever debug-on-error is set.  Since by default debug-on-error is
> NOT set, I don't think I agree with that part of the change.  (Why do
> you even have that variable set non-nil?)

AFAIU, `user-error' is to be used when, according to its docstring:

    This is like ‘error’ except that a user error (or "pilot error") comes
    from an incorrect manipulation by the user, not from an actual problem.

So if that is the case here, then it should be `user-error's and
otherwise it should be plain `error's.  Right?